%global         momorel 2
%global         __perl_requires %{_tmppath}/%{name}-%{version}.requires

Name:           perl-Font-TTF
Version:        1.04
Release:        %{momorel}m%{?dist}
Summary:        Perl module for TrueType Font hacking
License:        "Distributable"
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/Font-TTF/
Source0:        http://www.cpan.org/authors/id/M/MH/MHOSKEN/Font-TTF-%{version}.tar.gz
NoSource:       0
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch
BuildRequires:  perl-ExtUtils-MakeMaker
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

## if you do not want to execute test, turn off do_test by specopt
%{?include_specopt}
%{?!do_test: %global do_test 1}

%description
This module allows you to do almost anything to a TrueType/OpenType Font
including modify and inspect nearly all tables.

%prep
%setup -q -n Font-TTF-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
rm -rf %{buildroot}

make pure_install PERL_INSTALL_ROOT=%{buildroot}

find %{buildroot} -type f -name .packlist -exec rm -f {} \;
find %{buildroot} -depth -type d -exec rmdir {} 2>/dev/null \;

chmod -R u+rwX,go+rX,go-w %{buildroot}/*

# custom requires script
%{__cat} <<EOF > %{__perl_requires}
#!/bin/bash
%{__cat} | %{__grep} -v %{buildroot}%{_docdir} | /usr/lib/rpm/perl.req $* \
        | %{__grep} -v 'Win32' | %{__grep} -v ''
EOF
%{__chmod} 700 %{__perl_requires}

%check
%if %{do_test}
make test
%endif

%clean
rm -rf %{buildroot}
rm -f %{__perl_requires}

%files
%defattr(-,root,root,-)
%doc CONTRIBUTORS Changes LICENSE README.TXT TODO
%{perl_vendorlib}/ttfmod.pl
%{perl_vendorlib}/Font/TTF.pm
%{perl_vendorlib}/Font/TTF
%{_mandir}/man3/*

%changelog
* Sun Jun 29 2014 NARITA Koichi <pulsar@momonga-linux.org>
- (1.04-2m)
- rebuild against perl-5.20.0

* Mon Feb 10 2014 NARITA Koichi <pulsar@momonga-linux.org>
- (1.04-1m)
- update to 1.04
- rebuild against perl-5.18.2

* Mon Nov 11 2013 NARITA Koichi <pulsar@momonga-linux.org>
- (1.03-1m)
- update to 1.03

* Sat Aug 17 2013 NARITA Koichi <pulsar@momonga-linux.org>
- (1.02-5m)
- rebuild against perl-5.18.1

* Mon May 20 2013 NARITA Koichi <pulsar@momonga-linux.org>
- (1.02-4m)
- rebuild against perl-5.18.0

* Sat Mar 16 2013 NARITA Koichi <pulsar@momonga-linux.org>
- (1.02-3m)
- rebuild against perl-5.16.3

* Fri Nov  2 2012 NARITA Koichi <pulsar@momonga-linux.org>
- (1.02-2m)
- rebuild against perl-5.16.2

* Sat Sep  1 2012 NARITA Koichi <pulsar@momonga-linux.org>
- (1.02-1m)
- update to 1.02

* Wed Aug 29 2012 NARITA Koichi <pulsar@momonga-linux.org>
- (1.00-1m)
- update to 1.00

* Sat Aug 11 2012 NARITA Koichi <pulsar@momonga-linux.org>
- (0.48-7m)
- rebuild against perl-5.16.1

* Sun Jul  8 2012 NARITA Koichi <pulsar@momonga-linux.org>
- (0.48-6m)
- rebuild against perl-5.16.0

* Wed Oct  5 2011 NARITA Koichi <pulsar@momonga-linux.org>
- (0.48-5m)
- rebuild against perl-5.14.2

* Thu Jun 23 2011 NARITA Koichi <pulsar@momonga-linux.org>
- (0.48-4m)
- rebuild against perl-5.14.1

* Thu May 05 2011 NARITA Koichi <pulsar@momonga-linux.org>
- (0.48-3m)
- rebuild against perl-5.14.0-0.2.1m

* Mon Apr 11 2011 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (0.48-2m)
- rebuild for new GCC 4.6

* Wed Dec 15 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (0.48-1m)
- update to 0.48
- Specfile re-generated by cpanspec 1.78.

* Sun Nov 28 2010 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (0.45-9m)
- rebuild for new GCC 4.5

* Sun Sep 26 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (0.45-8m)
- rebuild against perl-5.12.2

* Tue Aug 31 2010 Yohsuke Ooi <meke@momonga-linux.org>
- (0.45-7m)
- full rebuild for mo7 release

* Tue May 18 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (0.45-6m)
- rebuild against perl-5.12.1

* Fri Apr 16 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (0.45-5m)
- rebuild against perl-5.12.0

* Sat Nov 14 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.45-4m)
- rebuild against gcc-4.4 and glibc-2.11

* Mon Aug 24 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (0.45-3m)
- rebuild against perl-5.10.1

* Wed Jan 21 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.45-2m)
- rebuild against rpm-4.6

* Thu Jun 12 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (0.45-1m)
- update to 0.45

* Mon Jun  9 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (0.44-1m)
- update to 0.44

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.43-2m)
- rebuild against gcc43

* Fri Nov 23 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (0.43-1m)
- update to 0.43

* Thu Nov 15 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (0.42-1m)
- update to 0.42

* Mon Apr 23 2007 Masahiro Takahata <takahata@momonga-linux.org>
- (0.41-2m)
- use vendor

* Wed Apr  4 2007 NARITA Koichi <pulsaar@momonga-linux.org>
- (0.41-1m)
- update to 0.41

* Fri Sep 29 2006 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.40-1m)
- spec file was autogenerated
